################################################################################
#
# Sample PoPToP configuration file
#
# for PoPToP version 1.0.0
#
################################################################################

# TAG: speed
#
#	Specifies the speed for the PPP daemon to talk at.
#	Some PPP daemons will ignore this value.
#
speed 115200

# TAG: option
#
#	Specifies the location of the PPP options file.
#	By default PPP looks in '/etc/ppp/options'
#
#option /this/is/the/options/file
option /etc/ppp/options.pptp

# TAG: debug
#
#	Turns on (more) debugging to syslog.
#
debug

# TAG: localip
# TAG: remoteip
#
#	Specifies the local and remote IP address ranges.
#
#	You can specify single IP addresses seperated by commas or you can
#	specify ranges, or both. For example:
#
#		192.168.0.234,192.168.0.245-249,192.168.0.254
#
#	IMPORTANT RESTRICTIONS:
#
#	1. No spaces are permitted between commas or within addresses.
#
#	2. If you give more IP addresses than MAX_CONNECTIONS, it will
#	   start at the beginning of the list and go until it gets 
#	   MAX_CONNECTIONS IPs. Others will be ignored.
#
#	3. No shortcuts in ranges! ie. 234-8 does not mean 234 to 238,
#	   you must type 234-238 if you mean this.
#
#	4. If you give a single localIP, that's ok - all local IPs will
#	   be set to the given one. You MUST still give at least one remote
#	   IP for each simultaneous client.
#
#localip 192.168.0.234-238,192.168.0.245
#remoteip 192.168.1.234-238,192.168.1.245

localip 192.168.0.1
remoteip 192.168.1.100-199

# TAG: ipxnets
#
#	This gives the range of IPX networks to allocate to clients.  By
#	default IPX network number allocation is not handled internally.
#	By putting a low and high network number here a pool of IPX networks
#	can be defined.  If this is done then there must be one IPX network
#	per client.
#
#	The format is a pair of hex numbers without any 0x prefix separated
#	by a hyphen.
#
#ipxnets 00001000-00001FFF

# TAG: listen
#
#	Defines the IP address of the local interface on which pptpd
#	should listen for connections.  The default is to listen on all
#	local interfaces (even ones brought up by pptp connections, thus
#	permitting pptp tunnels inside the pptp tunnels).
#
#listen 192.168.0.1

# TAG: pidfile
#
#	This defines the file name in which pptpd should store its process
#	ID (or pid).  The default is /var/run/pptpd.pid.
#
pidfile /var/run/pptpd.pid
